import { jsx } from "react/jsx-runtime";
import { CreditCardIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CreditCard = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CreditCard", ...props, children: /* @__PURE__ */ jsx(CreditCardIcon, { weight: variant }) });
  }
);
CreditCard.displayName = "CreditCard";
Object.assign(CreditCard, { isGdsIcon: true });
export {
  CreditCard
};
